#### Previous topic

scipy.stats.rv_histogram.fit_loc_scale

#### Next topic

scipy.stats.rv_histogram.interval

# scipy.stats.rv_histogram.freeze

`rv_histogram.``freeze`(*args, **kwds)

  Freeze the distribution for the given arguments.

  Parameters:

  arg1, arg2, arg3,… : array_like

  > The shape parameter(s) for the distribution. Should include all the non-optional arguments, may include `loc` and `scale`.

  Returns:

  rv_frozen : rv_frozen instance

  > The frozen distribution.